import { _decorator, Component, Node, Sprite, SpriteFrame } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('sign_total_reward_zw_item')
export class sign_total_reward_zw_item extends Component {
    @property(Node) img_dot:Node = null
    @property(SpriteFrame) sf_dot_default:SpriteFrame = null
    @property(SpriteFrame) sf_dot_current:SpriteFrame = null

    initView(is_last_receive:boolean) {
        if(is_last_receive) {
            this.img_dot.getComponent(Sprite).spriteFrame = this.sf_dot_current
        } else {
            this.img_dot.getComponent(Sprite).spriteFrame = this.sf_dot_default
        }
    }
}

